Update Edge in Graph
curl --request PUT \
--url https://api.beamstudio.ai/agent-graphs/update-edge/{edgeId} \
--header 'Content-Type: application/json' \
--header 'current-workspace-id: <current-workspace-id>' \
--header 'x-api-key: <api-key>' \
--data '
{
"isAttachmentDataPulledIn": true,
"condition": "<string>",
"groups": [
{
"rules": [
{
"sourceAgentToolConfigurationOutputParamsId": "<string>",
"id": "<string>",
"comparisonValue": "<string>",
"comparisonAgentToolConfigurationOutputParamsId": "<string>"
}
],
"id": "<string>"
}
]
}
'{
"sourceAgentGraphNodeId": "<string>",
"targetAgentGraphNodeId": "<string>",
"isAttachmentDataPulledIn": true,
"conditionGroups": [
{
"agentGraphEdgeId": "<string>",
"edge": "<unknown>",
"rules": [
{
"agentGraphEdgeConditionGroupId": "<string>",
"sourceAgentToolConfigurationOutputParamsId": "<string>",
"group": "<unknown>",
"sourceOutputParam": {
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"comparisonValue": "<string>",
"comparisonAgentToolConfigurationOutputParamsId": "<string>",
"comparisonOutputParam": {
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
}
}
],
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"condition": "<string>"
}Agent Graph
Update Edge in Graph
Update an existing edge properties such as condition in the agent workflow graph.
PUT
/
agent-graphs
/
update-edge
/
{edgeId}
Update Edge in Graph
curl --request PUT \
--url https://api.beamstudio.ai/agent-graphs/update-edge/{edgeId} \
--header 'Content-Type: application/json' \
--header 'current-workspace-id: <current-workspace-id>' \
--header 'x-api-key: <api-key>' \
--data '
{
"isAttachmentDataPulledIn": true,
"condition": "<string>",
"groups": [
{
"rules": [
{
"sourceAgentToolConfigurationOutputParamsId": "<string>",
"id": "<string>",
"comparisonValue": "<string>",
"comparisonAgentToolConfigurationOutputParamsId": "<string>"
}
],
"id": "<string>"
}
]
}
'{
"sourceAgentGraphNodeId": "<string>",
"targetAgentGraphNodeId": "<string>",
"isAttachmentDataPulledIn": true,
"conditionGroups": [
{
"agentGraphEdgeId": "<string>",
"edge": "<unknown>",
"rules": [
{
"agentGraphEdgeConditionGroupId": "<string>",
"sourceAgentToolConfigurationOutputParamsId": "<string>",
"group": "<unknown>",
"sourceOutputParam": {
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"comparisonValue": "<string>",
"comparisonAgentToolConfigurationOutputParamsId": "<string>",
"comparisonOutputParam": {
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
}
}
],
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"condition": "<string>"
}Authorizations
Headers
Path Parameters
Body
application/json
Response
200 - application/json
Edge updated successfully
⌘I